@echo off
setlocal ENABLEEXTENSIONS
setlocal ENABLEDELAYEDEXPANSION

if not exist "%~dp0\graphic\item.bmp" goto :check_fail
if not exist "%~dp0\scene2.hsp" copy "%~dp0\scene2.hsp.autoload" "%~dp0\scene2.hsp"

set KEY_NAME="HKLM\SOFTWARE\JavaSoft\Java Runtime Environment"
set VALUE_NAME=CurrentVersion

FOR /F "usebackq tokens=2,*" %%A IN (`REG QUERY %KEY_NAME% /v %VALUE_NAME% 2^>nul`) DO (
    set ValueValue=%%B
)

if not defined ValueValue (
    echo Java not found.
    exit /b 254
)

set JAVA_CURRENT="HKLM\SOFTWARE\JavaSoft\Java Runtime Environment\%ValueValue%"
set JAVA_HOME=JavaHome

FOR /F "usebackq tokens=2,*" %%A IN (`REG QUERY %JAVA_CURRENT% /v %JAVA_HOME% 2^>nul`) DO (
    set JAVA_PATH=%%B
)
SET CLASSPATH=%~dp0elona.jar;%JAVA_PATH%\lib\plugin.jar
FOR /R "%~dp0\hsplet" %%I IN (*.jar) DO (
    SET CLASSPATH=!CLASSPATH!;%%~fI
)

pushd "%~dp0"
"%JAVA_PATH%\bin\java.exe" -ea -classpath "%CLASSPATH%" hsplet.Application 
popd

goto :EOF

:check_fail
echo Oops.  Did you remember to get Elona 1.22?

